Send feedback
Enum UptimeCheckConfig.HttpCheck.ContentType (3.88.0)
Stay organized with collections
Save and categorize content based on your preferences.
3.88.0 (latest)
3.86.0
3.84.0
3.83.0
3.81.0
3.79.0
3.77.0
3.76.0
3.75.0
3.74.0
3.73.0
3.71.0
3.69.0
3.68.0
3.65.0
3.64.0
3.63.0
3.61.0
3.60.0
3.59.0
3.58.0
3.57.0
3.56.0
3.55.0
3.54.0
3.53.0
3.52.0
3.50.0
3.49.0
3.48.0
3.47.0
3.46.0
3.45.0
3.44.0
3.43.0
3.42.0
3.41.0
3.40.0
3.38.0
3.37.0
3.36.0
3.35.0
3.34.0
3.33.0
3.32.0
3.31.0
3.30.0
3.29.0
3.28.0
3.25.0
3.24.0
3.23.0
3.22.0
3.21.0
3.20.0
3.19.0
3.18.0
3.17.0
3.16.0
3.15.0
3.14.0
3.13.0
3.12.0
3.10.0
3.9.0
3.8.0
3.7.0
3.6.0
3.5.0
3.4.6
3.3.6
3.2.10
public enum UptimeCheckConfig . HttpCheck . ContentType extends Enum<UptimeCheckConfig . HttpCheck . ContentType > implements ProtocolMessageEnum
Header options corresponding to the content type of a HTTP request body.
Protobuf enum google.monitoring.v3.UptimeCheckConfig.HttpCheck.ContentType
Static Fields
Name
Description
TYPE_UNSPECIFIED
No content type specified.
TYPE_UNSPECIFIED = 0;
TYPE_UNSPECIFIED_VALUE
No content type specified.
TYPE_UNSPECIFIED = 0;
UNRECOGNIZED
URL_ENCODED
body is in URL-encoded form. Equivalent to setting the Content-Type
to application/x-www-form-urlencoded in the HTTP request.
URL_ENCODED = 1;
URL_ENCODED_VALUE
body is in URL-encoded form. Equivalent to setting the Content-Type
to application/x-www-form-urlencoded in the HTTP request.
URL_ENCODED = 1;
USER_PROVIDED
body is in custom_content_type form. Equivalent to setting the
Content-Type to the contents of custom_content_type in the HTTP
request.
USER_PROVIDED = 2;
USER_PROVIDED_VALUE
body is in custom_content_type form. Equivalent to setting the
Content-Type to the contents of custom_content_type in the HTTP
request.
USER_PROVIDED = 2;
Static Methods
Name
Description
forNumber(int value)
getDescriptor()
internalGetValueMap()
valueOf(Descriptors.EnumValueDescriptor desc)
valueOf(int value)
Deprecated. Use #forNumber(int) instead.
valueOf(String name)
values()
Methods
Name
Description
getDescriptorForType()
getNumber()
getValueDescriptor()
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-14 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-03-14 UTC."],[],[]]